#ifndef INCLUDED_TIMER_EDIT_WINDOW_H
#define INCLUDED_TIMER_EDIT_WINDOW_H

#include "TimerApplication.h"

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define TIMER_TYPE_EDIT_WINDOW timer_edit_window_get_type()
G_DECLARE_FINAL_TYPE(TimerEditWindow, timer_edit_window, TIMER, EDIT_WINDOW, GtkDialog)

TimerEditWindow *timer_edit_window_new(const char *task, GDateTime *start, gint64 length, const char **taskOptions, gsize optionsLen, gboolean isNew, GDateTime *lastTask);
GDateTime *timer_edit_window_get_start(TimerEditWindow *self);
GDateTime *timer_edit_window_get_end(TimerEditWindow *self);
gint64 timer_edit_window_get_length(TimerEditWindow *self);
char *timer_edit_window_get_name(TimerEditWindow *self);

G_END_DECLS

#endif /* INCLUDED_TIMER_EDIT_WINDOW_H */
