#ifndef INCLUDED_TIMER_MINI_WINDOW_H
#define INCLUDED_TIMER_MINI_WINDOW_H

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define TIMER_TYPE_MINI_WINDOW timer_mini_window_get_type()
G_DECLARE_FINAL_TYPE(TimerMiniWindow, timer_mini_window, TIMER, MINI_WINDOW, GtkWindow)

TimerMiniWindow *timer_mini_window_new();
GtkLabel *timer_mini_window_get_timer_label(TimerMiniWindow *self);
GtkButton *timer_mini_window_get_start_stop_button(TimerMiniWindow *self);
GtkButton *timer_mini_window_get_reset_button(TimerMiniWindow *self);
GtkButton *timer_mini_window_get_expand_button(TimerMiniWindow *self);

G_END_DECLS

#endif /* INCLUDED_TIMER_MINI_WINDOW_H */
